# Created by pyp2rpm-1.1.2
%global pypi_name tinydb
%global with_python3 1

Name:           python-%{pypi_name}
Version:        2.3.2
Release:        1%{?dist}
Summary:        TinyDB is a tiny, document oriented database optimized for your happiness :)

License:        MIT
URL:            https://github.com/msiemens/tinydb
Source0:        https://pypi.python.org/packages/source/t/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  pytest
 
%if %{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
%endif # if with_python3


%description
TinyDB is a tiny, document oriented database optimized
for your happiness :)
It's written in pure Python and has no external
requirements. The target are
small apps that would be blown away by a SQL-DB or
an external database server.

%if 0%{?with_python3}
%package -n     python3-%{pypi_name}
Summary:        TinyDB is a tiny, document oriented database optimized for your happiness :)


%description -n python3-%{pypi_name}
TinyDB is a tiny, document oriented database optimized
for your happiness :)
It's written in pure Python and has no external
requirements. The target are
small apps that would be blown away by a SQL-DB or
an external database server.
%endif # with_python3


%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3


%install
# Must do the subpackages' install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

%{__python2} setup.py install --skip-build --root %{buildroot}


%check
%if 0%{?with_python3}
pushd %{py3dir}
PYTHONPATH=$(pwd) py.test-%{python3_version} tests
popd
%endif # with_python3
PYTHONPATH=$(pwd) py.test-%{python2_version} tests




%files
%doc README.rst
%{python2_sitelib}/%{pypi_name}
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/tests
%if 0%{?with_python3}
%files -n python3-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/tests
%endif # with_python3


%changelog
* Sun May 31 2015 Robert Kuska <rkuska@redhat.com> - 2.3.2-1
- Initial package.
